origine.css 29 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227122812291230123112321233123412351236123712381239124012411242124312441245124612471248124912501251125212531254125512561257125812591260126112621263126412651266126712681269127012711272127312741275127612771278127912801281128212831284128512861287128812891290129112921293129412951296129712981299130013011302130313041305130613071308130913101311131213131314131513161317131813191320132113221323132413251326132713281329133013311332133313341335133613371338133913401341134213431344
  1. @charset "UTF-8";
  2. /*=== GENERAL */
  3. /*============*/
  4. :root {
  5. --frss-padding-top-bottom: 0.5rem;
  6. --background-color-light-gradient1: #fff;
  7. --background-color-light-gradient2: #eee;
  8. --background-color-light: #fff;
  9. --background-color-light-shadowed: #f6f6f6;
  10. --background-color-light-shadowed-transparent: #f0f0f0a8;
  11. --background-color-grey: #f0f0f0;
  12. --background-color-hover: #f6f6f6;
  13. --unread-article-background-color: #fff3ed;
  14. --unread-article-background-color-hover: #faeee8;
  15. --unread-article-border-color: #ff5300;
  16. --favorite-article-background-color: #fff6da;
  17. --favorite-article-background-color-hover: #fcf2d6;
  18. --favorite-article-border-color: #ffc300;
  19. --contrast-background-color: #0084cc;
  20. --contrast-background-color-gradient: #0045cc;
  21. --contrast-background-color-hover: #06c;
  22. --contrast-background-color-active: #0062be;
  23. --contrast-border-color: #0062b7;
  24. --contrast-background-font-color: #eee;
  25. --attention-background-color-gradient1: #ea4a46;
  26. --attention-background-color-gradient2: #911811;
  27. --attention-background-color-gradient1-hover: #d14641;
  28. --attention-background-color-gradient2-hover: #bd362f;
  29. --attention-background-color-active: #bd362f;
  30. --attention-border-color: #c44742;
  31. --empty-feed-color: #e67e22;
  32. --error-feed-color: #bd362f;
  33. --alert-warn-background-color: #ffffe0;
  34. --alert-warn-font-color: #4b3315;
  35. --alert-warn-border-color: #eeb;
  36. --alert-success-background-color: #e8ffe8;
  37. --alert-success-font-color: #244424;
  38. --alert-success-border-color: #cec;
  39. --alert-error-background-color: #fdd;
  40. --alert-error-font-color: #693a3a;
  41. --alert-error-boder-color: #ecc;
  42. --notification-good-background-color: #ffe;
  43. --notification-good-border-color: #eeb;
  44. --notification-good-font-color: #916a37;
  45. --notification-bad-background-color: #fdd;
  46. --notification-bad-font-color: #643838;
  47. --notification-bad-border-color: #ecc;
  48. --notification-close-background-color-hover: #aaa2;
  49. --font-color: #111;
  50. --font-color-grey: #666;
  51. --font-color-light-shadowed: #aaa;
  52. --font-color-light: #fff;
  53. --text-shadow-color: #aaa;
  54. --text-shadow-color-dark: #666;
  55. --box-shadow-color: #bbb6;
  56. --box-shadow-color-inset: #e0e0e0;
  57. --font-color-link: #0062be;
  58. --font-color-link-hover: #038;
  59. --border-color: #ddd;
  60. --border-color-shadow-side: #ccc;
  61. --frss-border-color: var(--border-color);
  62. --contrast-border-color-active: #0062be;
  63. --form-element-font-color-focus: #0062be;
  64. --form-element-border-color-focus: #3bf;
  65. --form-element-focus-box-shadow-color-inset: #ddf;
  66. --form-element-border-color-invalid: #f00;
  67. --form-element-invalid-box-shadow-color-inset: #fdd;
  68. }
  69. html, body {
  70. background-color: var(--background-color-light);
  71. color: var(--font-color);
  72. font-family: "OpenSans", "Cantarell", "Helvetica", "Arial", sans-serif;
  73. }
  74. /*=== Links */
  75. a, button.as-link {
  76. color: var(--font-color-link);
  77. outline: none;
  78. }
  79. a:hover,
  80. button.as-link:hover {
  81. color: var(--font-color-link-hover);
  82. }
  83. /*=== Forms */
  84. legend {
  85. margin: 20px 0 5px;
  86. padding: 5px 0;
  87. font-size: 1.4em;
  88. border-bottom: 1px solid var(--border-color);
  89. }
  90. label {
  91. min-height: 25px;
  92. padding: 5px 0;
  93. cursor: pointer;
  94. }
  95. input:hover,
  96. select:hover,
  97. textarea:hover {
  98. color: var(--font-color);
  99. }
  100. textarea {
  101. width: 360px;
  102. height: 100px;
  103. }
  104. input, select, textarea {
  105. padding: 7px;
  106. background-color: var(--background-color-light);
  107. color: var(--font-color-grey);
  108. border: 1px solid var(--border-color);
  109. border-radius: 3px;
  110. vertical-align: middle;
  111. }
  112. option {
  113. padding: 0 .5em;
  114. }
  115. input:focus, select:focus, textarea:focus, input[type="password"]:focus + .toggle-password {
  116. color: var(--form-element-font-color-focus);
  117. border-color: var(--form-element-border-color-focus);
  118. box-shadow: 0 2px 2px var(--form-element-focus-box-shadow-color-inset) inset;
  119. outline: none;
  120. }
  121. input:invalid, select:invalid {
  122. border-color: var(--form-element-border-color-invalid);
  123. box-shadow: 0 0 2px 2px var(--form-element-invalid-box-shadow-color-inset) inset;
  124. }
  125. input:disabled, select:disabled {
  126. background-color: var(--background-color-light-shadowed);
  127. }
  128. /*=== Tables */
  129. table {
  130. border-collapse: collapse;
  131. }
  132. th, td {
  133. border: 1px solid var(--border-color);
  134. }
  135. th {
  136. background-color: var(--background-color-light-shadowed);
  137. }
  138. .config-articleicons td,
  139. .config-articleicons th {
  140. font-weight: normal;
  141. text-align: center;
  142. }
  143. /*=== COMPONENTS */
  144. /*===============*/
  145. /*=== Forms */
  146. .form-group.form-actions {
  147. margin-bottom: 40px;
  148. padding: 5px 0;
  149. background-color: var(--background-color-light-shadowed-transparent);
  150. border-top: 1px solid var(--border-color);
  151. }
  152. .form-group.form-actions .btn {
  153. margin: 0 20px 0 0;
  154. }
  155. .form-group .group-name {
  156. padding: 10px 0;
  157. }
  158. .form-group .group-controls {
  159. min-height: 25px;
  160. padding: 0.5rem 0;
  161. }
  162. .form-group.form-actions .group-controls .btn {
  163. margin-top: 0.25rem;
  164. margin-bottom: 0.25rem;
  165. }
  166. .form-group .group-controls label:not(.btn) {
  167. padding: 0;
  168. }
  169. .form-group .group-controls > input,
  170. .form-group .group-controls > select,
  171. .form-group .group-controls > textarea,
  172. .form-group .group-controls .stick {
  173. margin: -5px 0 5px 0;
  174. }
  175. .form-group .group-controls .stick .btn {
  176. padding-top: 2px;
  177. padding-bottom: 2px;
  178. }
  179. /*=== Buttons */
  180. .stick input,
  181. .stick .btn,
  182. .group .btn {
  183. border-radius: 0;
  184. }
  185. .stick .btn:first-child,
  186. .group .btn:first-child,
  187. .stick input:first-child,
  188. .stick select:first-child {
  189. border-radius: 3px 0 0 3px;
  190. }
  191. .stick .btn-important:first-child {
  192. border-right: 1px solid var(--contrast-border-color);
  193. }
  194. .stick .btn:last-child,
  195. .group .btn:last-child,
  196. .stick input:last-child {
  197. border-radius: 0 3px 3px 0;
  198. }
  199. .stick .btn + .btn,
  200. .group .btn + .btn,
  201. .stick .btn + input,
  202. .stick .btn + .dropdown > .btn,
  203. .group .btn + .dropdown > .btn,
  204. .stick input + .btn,
  205. .stick select + .btn,
  206. .stick input + input,
  207. .stick input + .dropdown > .btn,
  208. .stick .dropdown + .btn,
  209. .group .dropdown + .btn,
  210. .stick .dropdown + input,
  211. .stick .dropdown + .dropdown > .btn,
  212. .group .dropdown + .dropdown > .btn {
  213. border-left: none;
  214. }
  215. .stick input + .btn {
  216. border-top: 1px solid var(--border-color);
  217. }
  218. .stick .dropdown:last-child > .btn,
  219. .group .dropdown:last-child > .btn {
  220. border-left: none;
  221. border-radius: 0 3px 3px 0;
  222. }
  223. .btn {
  224. margin: 0;
  225. padding: 0.25rem 0.5rem;
  226. background-image: linear-gradient(to bottom, var(--background-color-light-gradient1) 0%, var(--background-color-light-gradient2) 100%);
  227. color: var(--font-color-grey);
  228. font-size: 0.9rem;
  229. border: 1px solid var(--border-color);
  230. border-right: 1px solid var(--border-color-shadow-side);
  231. border-bottom: 1px solid var(--border-color-shadow-side);
  232. border-radius: 3px;
  233. min-height: 25px;
  234. min-width: 15px;
  235. line-height: 1.7;
  236. vertical-align: middle;
  237. }
  238. .btn:hover {
  239. background-image: none;
  240. background-color: var(--background-color-hover);
  241. text-decoration: none;
  242. }
  243. a:hover .icon {
  244. filter: brightness(1.5);
  245. transition: 0.1s linear;
  246. }
  247. #toggle-starred:hover .icon,
  248. .bookmark:hover .icon {
  249. filter: brightness(1.1);
  250. }
  251. #toggle-search.active > .icon {
  252. filter: invert(8%) sepia(99%) saturate(7064%) hue-rotate(248deg) brightness(99%) contrast(142%);
  253. }
  254. .btn.active,
  255. .btn:active,
  256. .dropdown-target:target ~ .btn.dropdown-toggle {
  257. background-color: var(--background-color-grey);
  258. box-shadow: 0px 2px 4px var(--box-shadow-color-inset) inset, 0px 1px 2px var(--background-color-grey);
  259. }
  260. .dropdown-target:target ~ .btn.dropdown-toggle .icon {
  261. filter: brightness(1.1);
  262. }
  263. .btn.active, .btn:active {
  264. filter: brightness(0.95);
  265. }
  266. .btn.active .icon,
  267. .btn:active .icon {
  268. filter: brightness(1.1);
  269. }
  270. .btn-important {
  271. background-image: linear-gradient(to bottom, var(--contrast-background-color), var(--contrast-background-color-gradient));
  272. color: var(--font-color-light);
  273. border: 1px solid var(--contrast-border-color);
  274. font-weight: normal;
  275. }
  276. .btn-important:hover {
  277. background-image: linear-gradient(to bottom, var(--contrast-background-color-hover), var(--contrast-background-color-gradient));
  278. color: var(--font-color-light);
  279. }
  280. .btn-important:hover .icon {
  281. filter: brightness(3);
  282. }
  283. .btn-important:active {
  284. background-color: var(--contrast-background-color-active);
  285. box-shadow: none;
  286. }
  287. .btn-important .icon {
  288. filter: brightness(3);
  289. }
  290. .btn-attention {
  291. background-image: linear-gradient(to bottom, var(--attention-background-color-gradient1), var(--attention-background-color-gradient2));
  292. color: var(--font-color-light);
  293. border: 1px solid var(--attention-border-color);
  294. text-shadow: 0px -1px 0px var(--text-shadow-color-dark);
  295. }
  296. .btn-attention:hover {
  297. background-image: linear-gradient(to bottom, var(--attention-background-color-gradient1-hover), var(--attention-background-color-gradient2-hover));
  298. color: var(--font-color-light);
  299. }
  300. .btn-attention:active {
  301. background-color: var(--attention-background-color-active);
  302. box-shadow: none;
  303. }
  304. /*=== Navigation */
  305. .nav-list {
  306. font-size: 0.9rem;
  307. }
  308. .nav-list .item,
  309. .nav-list .item.nav-header {
  310. min-height: 2.5em;
  311. line-height: 2.5;
  312. }
  313. .nav-list .nav-section .item:hover a,
  314. .nav-list .nav-section .item:hover .as-link {
  315. background-color: var(--background-color-hover);
  316. color: var(--font-color-link-hover);
  317. }
  318. .nav-list .nav-section .item.active:hover a,
  319. .nav-list .nav-section .item.active:hover .as-link,
  320. .nav-list .item.active {
  321. background-color: var(--contrast-background-color-active);
  322. color: var(--font-color-light);
  323. }
  324. .nav-list .item.active a,
  325. .nav-list .item.active .as-link {
  326. color: var(--font-color-light);
  327. }
  328. .nav-list .item > a,
  329. .nav-list .item > .as-link,
  330. .nav-list .item > span,
  331. .nav-list .item > div {
  332. padding: 0 1rem;
  333. }
  334. .nav-list .item > span {
  335. font-style: italic;
  336. color: var(--font-color-grey);
  337. }
  338. .nav-list a:hover {
  339. text-decoration: none;
  340. }
  341. .nav-list .nav-header {
  342. background-color: var(--background-color-grey);
  343. color: var(--font-color-grey);
  344. font-weight: bold;
  345. }
  346. .nav-list .nav-form {
  347. padding: 3px;
  348. text-align: center;
  349. }
  350. /*=== Dropdown */
  351. .dropdown-menu {
  352. margin: 5px 0 0;
  353. padding: 5px 0;
  354. background-color: var(--background-color-light);
  355. font-size: 0.8rem;
  356. border: 1px solid var(--border-color);
  357. border-radius: 5px;
  358. box-shadow: 3px 3px 3px var(--box-shadow-color);
  359. text-align: left;
  360. }
  361. .dropdown-menu::after {
  362. border-color: var(--border-color);
  363. }
  364. .dropdown-header,
  365. .dropdown-section .dropdown-section-title {
  366. padding: 0.25rem 0.5rem 0.25rem 1rem;
  367. color: var(--font-color-grey);
  368. font-weight: bold;
  369. text-align: left;
  370. }
  371. .dropdown-menu .item > a,
  372. .dropdown-menu .item > span,
  373. .dropdown-menu .item > .as-link {
  374. padding: 0 22px;
  375. line-height: 2.5;
  376. font-size: inherit;
  377. }
  378. .dropdown-menu .dropdown-section .item > a,
  379. .dropdown-menu .dropdown-section .item > span,
  380. .dropdown-menu .dropdown-section .item > .as-link {
  381. padding-left: 2rem;
  382. }
  383. .dropdown-menu .dropdown-section .item:last-child {
  384. margin-bottom: 0.5rem;
  385. }
  386. .dropdown-menu .item > a:focus,
  387. .dropdown-menu .item > a:hover,
  388. .dropdown-menu .item > button:focus:not([disabled]),
  389. .dropdown-menu .item > button:hover:not([disabled]),
  390. .dropdown-menu .item > label:focus:not(.noHover),
  391. .dropdown-menu .item > label:hover:not(.noHover) {
  392. background-color: var(--contrast-background-color-active);
  393. color: var(--font-color-light);
  394. }
  395. .dropdown-menu .item > label {
  396. padding: 0;
  397. }
  398. .dropdown-menu > .item:hover > a > .icon,
  399. .dropdown-menu .item.dropdown-section .item:hover .icon {
  400. filter: grayscale(100%) brightness(2.5);
  401. }
  402. .dropdown-menu > .item[aria-checked="true"] > a::before {
  403. font-weight: bold;
  404. margin: 0 0 0 -14px;
  405. }
  406. .dropdown-menu .input select,
  407. .dropdown-menu .input input {
  408. margin: 0 auto 5px;
  409. padding: 2px 5px;
  410. border-radius: 3px;
  411. }
  412. .dropdown-menu input[type="checkbox"] {
  413. margin-left: 1rem;
  414. }
  415. .dropdown-menu .item .emptyLabels {
  416. padding-left: 1rem;
  417. padding-right: 1rem;
  418. }
  419. .item ~ .dropdown-header,
  420. .dropdown-section ~ .dropdown-section,
  421. .item.separator {
  422. border-top-color: var(--border-color);
  423. }
  424. /*=== Alerts */
  425. .alert {
  426. background-color: var(--background-color-grey);
  427. color: var(--font-color-grey);
  428. font-size: 0.9em;
  429. border: 1px solid var(--border-color);
  430. border-right: 1px solid var(--border-color-shadow-side);
  431. border-bottom: 1px solid var(--border-color-shadow-side);
  432. border-radius: 5px;
  433. }
  434. .alert-head {
  435. font-size: 1.15em;
  436. }
  437. .alert > a {
  438. color: inherit;
  439. text-decoration: underline;
  440. }
  441. .alert-warn {
  442. background-color: var(--alert-warn-background-color);
  443. color: var(--alert-warn-font-color);
  444. border: 1px solid var(--alert-warn-border-color);
  445. }
  446. .alert-success {
  447. background-color: var(--alert-success-background-color);
  448. color: var(--alert-success-font-color);
  449. border: 1px solid var(--alert-success-border-color);
  450. }
  451. .alert-error {
  452. background-color: var(--alert-error-background-color);
  453. color: var(--alert-error-font-color);
  454. border: 1px solid var(--alert-error-boder-color);
  455. }
  456. .alert-error a {
  457. color: var(--alert-error-font-color);
  458. font-weight: bold;
  459. }
  460. /*=== Pagination */
  461. .pagination {
  462. background-color: var(--background-color-light);
  463. color: var(--font-color-grey);
  464. }
  465. .pagination .item a:hover {
  466. background-color: var(--background-color-hover);
  467. }
  468. .pagination:first-child .item {
  469. border-bottom: 1px solid var(--border-color);
  470. }
  471. .pagination:last-child .item {
  472. border-top: 1px solid var(--border-color);
  473. }
  474. /*=== Boxes */
  475. .box {
  476. background-color: var(--background-color-light);
  477. border-radius: 5px;
  478. box-shadow: 0 0 3px var(--box-shadow-color);
  479. }
  480. .box .box-title {
  481. background-color: var(--background-color-grey);
  482. border-bottom: 1px solid var(--border-color);
  483. border-radius: 5px 5px 0 0;
  484. }
  485. .box .box-title .configure {
  486. margin-right: 4px;
  487. }
  488. .box .box-content .item {
  489. padding-bottom: 0.25rem;
  490. }
  491. /*=== Tree */
  492. .tree {
  493. margin: 10px 0;
  494. }
  495. .tree-folder-title {
  496. position: relative;
  497. padding-left: 0.75rem;
  498. padding-right: 0.75rem;
  499. background-color: var(--background-color-light);
  500. font-size: 1rem;
  501. }
  502. .aside_feed .tree-folder.all .tree-folder-title .title,
  503. .aside_feed .tree-folder.important .tree-folder-title .title,
  504. .aside_feed .tree-folder.favorites .tree-folder-title .title {
  505. margin-left: 0.25rem;
  506. }
  507. .aside_feed .tree-folder-title button.dropdown-toggle {
  508. margin: -0.75rem 0.25rem -0.75rem -0.75rem;
  509. padding: 0.75rem 0 0.75rem 0.75rem;
  510. }
  511. .aside_feed .tree-folder-title:hover button.dropdown-toggle .icon {
  512. filter: none;
  513. }
  514. .aside_feed .tree-folder-title button.dropdown-toggle:hover .icon {
  515. filter: brightness(1.5);
  516. transition: 0.1s linear;
  517. }
  518. .tree-folder-title .title {
  519. background: inherit;
  520. color: var(--font-color);
  521. }
  522. .tree-folder-title:hover {
  523. background-color: var(--background-color-hover);
  524. }
  525. .tree-folder-title .title:hover {
  526. text-decoration: none;
  527. }
  528. .tree-folder.active .tree-folder-title {
  529. background-color: var(--background-color-grey);
  530. font-weight: bold;
  531. }
  532. .tree-folder.active .tree-folder-title .title {
  533. color: var(--font-color-link);
  534. }
  535. .tree-folder-items {
  536. background-color: var(--background-color-light-shadowed);
  537. border-top: 1px solid var(--border-color);
  538. border-bottom: 1px solid var(--border-color);
  539. }
  540. .tree-folder-items > .item {
  541. line-height: 1.7;
  542. font-size: 0.8rem;
  543. }
  544. .tree-folder-items .item:hover {
  545. background-color: var(--background-color-light);
  546. }
  547. .tree-folder-items > .item.active {
  548. background-color: var(--contrast-background-color-active);
  549. }
  550. .tree-folder-items > .item.active .icon {
  551. filter: brightness(3);
  552. }
  553. .tree-folder-items > .item > a {
  554. text-decoration: none;
  555. }
  556. .tree-folder-items > .item.active > a {
  557. color: var(--font-color-light);
  558. }
  559. /*=== STRUCTURE */
  560. /*===============*/
  561. /*=== Header */
  562. .header {
  563. background-color: var(--background-color-grey);
  564. }
  565. .header > .item {
  566. border-bottom: 1px solid var(--border-color);
  567. vertical-align: middle;
  568. text-align: center;
  569. }
  570. .header > .item.title {
  571. width: 300px;
  572. }
  573. .header > .item.title a:hover .logo {
  574. filter: brightness(1.4);
  575. }
  576. .header > .item.search input {
  577. width: 350px;
  578. }
  579. /*=== Body */
  580. .aside {
  581. background-color: var(--background-color-light);
  582. border-right: 1px solid var(--border-color);
  583. }
  584. .aside.aside_feed {
  585. padding: 0.5rem 0;
  586. text-align: center;
  587. background-color: var(--background-color-light);
  588. }
  589. .aside.aside_feed .tree {
  590. margin: 10px 0 50px;
  591. }
  592. /*=== Aside main page (categories) */
  593. .aside.aside_feed .category .title:not([data-unread="0"])::after,
  594. .global .box.category .title:not([data-unread="0"])::after,
  595. .global .feed .item-title:not([data-unread="0"])::after {
  596. background-color: var(--background-color-light-shadowed);
  597. color: var(--font-color-grey);
  598. }
  599. .aside.aside_feed .category .tree-folder-title:hover .title:not([data-unread="0"])::after {
  600. background-color: var(--background-color-light);
  601. }
  602. .aside.aside_feed .feed .item-title:not([data-unread="0"])::after {
  603. background-color: var(--background-color-light);
  604. color: var(--font-color-grey);
  605. }
  606. .aside.aside_feed .feed:hover .item-title:not([data-unread="0"])::after {
  607. background-color: var(--background-color-light-shadowed);
  608. }
  609. /*=== Aside main page (feeds) */
  610. .feed.item.empty.active {
  611. background-color: var(--empty-feed-color);
  612. }
  613. .feed.item.error.active {
  614. background-color: var(--error-feed-color);
  615. }
  616. .feed.item.empty,
  617. .feed.item.empty > a {
  618. color: var(--empty-feed-color);
  619. }
  620. .feed.item.error,
  621. .feed.item.error > a {
  622. color: var(--error-feed-color);
  623. }
  624. .feed.item.empty.active,
  625. .feed.item.error.active,
  626. .feed.item.empty.active > a,
  627. .feed.item.error.active > a {
  628. color: var(--font-color-light);
  629. }
  630. .aside_feed .tree-folder-items .dropdown-menu::after {
  631. left: 2px;
  632. }
  633. /*=== Prompt (centered) */
  634. .prompt .form-group {
  635. margin-bottom: 1rem;
  636. }
  637. .prompt .form-group::after {
  638. display: none;
  639. }
  640. .prompt .form-group.form-group-actions {
  641. display: flex;
  642. margin-top: 2rem;
  643. align-items: center;
  644. justify-content: space-between;
  645. }
  646. .prompt .btn.btn-important {
  647. padding-left: 1.5rem;
  648. padding-right: 1.5rem;
  649. font-size: 1.1rem;
  650. }
  651. /*=== New article notification */
  652. #new-article {
  653. background-color: var(--contrast-background-color);
  654. text-align: center;
  655. font-size: 0.9em;
  656. }
  657. #new-article > a {
  658. color: var(--font-color-light);
  659. font-weight: bold;
  660. }
  661. #new-article > a:hover {
  662. text-decoration: none;
  663. background-color: var(--contrast-background-color-hover);
  664. }
  665. /*=== Day indication */
  666. .day {
  667. padding: 0 10px;
  668. font-weight: bold;
  669. line-height: 3;
  670. background-color: var(--background-color-light);
  671. border-top: 1px solid var(--border-color);
  672. }
  673. .day span {
  674. line-height: 1.5;
  675. }
  676. #new-article + .day {
  677. border-top: none;
  678. }
  679. .day .name {
  680. padding: 0 10px 0 0;
  681. color: var(--font-color-light-shadowed);
  682. font-size: 1.8em;
  683. opacity: 0.3;
  684. text-shadow: 0px -1px 0px var(--text-shadow-color-dark);
  685. font-style: italic;
  686. text-align: right;
  687. }
  688. /*=== Index menu */
  689. .nav_menu {
  690. background-color: var(--background-color-light-shadowed);
  691. border-bottom: 1px solid var(--border-color);
  692. }
  693. /*=== Feed articles */
  694. .flux {
  695. background-color: var(--background-color-light);
  696. border-left: 2px solid transparent;
  697. }
  698. .flux.current {
  699. background-color: var(--background-color-light);
  700. border-left: 2px solid var(--contrast-border-color-active);
  701. }
  702. .flux .flux_header:hover {
  703. background-color: var(--background-color-hover);
  704. }
  705. .flux .flux_header:not(.current):hover .flux_header,
  706. .flux:not(.current):hover .flux_header .title,
  707. .flux.current .flux_header {
  708. background-color: var(--background-color-hover);
  709. }
  710. .flux.not_read {
  711. border-left: 2px solid var(--unread-article-border-color);
  712. }
  713. .flux.not_read .flux_header {
  714. background-color: var(--unread-article-background-color);
  715. }
  716. .flux.not_read:not(.current):hover .flux_header .title,
  717. .flux.not_read:not(.current):hover .flux_header,
  718. .flux.not_read.current .flux_header {
  719. background-color: var(--unread-article-background-color-hover);
  720. }
  721. .flux.favorite {
  722. border-left: 2px solid var(--favorite-article-border-color);
  723. }
  724. .flux.favorite:not(.current) .flux_header {
  725. background-color: var(--favorite-article-background-color);
  726. }
  727. .flux.favorite:not(.current):hover .flux_header .title,
  728. .flux.favorite:not(.current):hover .flux_header,
  729. .flux.favorite.current .flux_header {
  730. background-color: var(--favorite-article-background-color-hover);
  731. }
  732. .flux_header {
  733. font-size: 0.9rem;
  734. border-top: 1px solid var(--border-color);
  735. cursor: pointer;
  736. }
  737. .flux .item .date {
  738. color: var(--font-color-grey);
  739. font-size: 0.7rem;
  740. }
  741. .flux .bottom {
  742. font-size: 0.8rem;
  743. text-align: center;
  744. }
  745. /*=== Content of feed articles */
  746. .content h1.title > a {
  747. color: var(--font-color);
  748. }
  749. .content hr {
  750. margin: 30px 10px;
  751. background-color: var(--background-color-grey);
  752. height: 1px;
  753. border: 0;
  754. box-shadow: 0 2px 5px var(--box-shadow-color);
  755. }
  756. .content pre {
  757. border: 1px solid var(--border-color);
  758. border-radius: 3px;
  759. }
  760. .content pre code {
  761. background: transparent;
  762. color: var(--font-color);
  763. border: none;
  764. }
  765. .content code {
  766. background-color: var(--background-color-light-shadowed);
  767. color: var(--error-feed-color);
  768. border-color: var(--border-color);
  769. border-radius: 3px;
  770. }
  771. .content blockquote {
  772. margin: 0;
  773. padding: 5px 20px;
  774. background-color: var(--background-color-light-shadowed);
  775. display: block;
  776. color: var(--font-color-grey);
  777. border-top: 1px solid var(--border-color);
  778. border-bottom: 1px solid var(--border-color);
  779. }
  780. .content blockquote p {
  781. margin: 0;
  782. }
  783. #stream-footer {
  784. border-top-color: var(--border-color);
  785. }
  786. /*=== Notification and actualize notification */
  787. .notification {
  788. font-size: 0.9em;
  789. border: 1px solid var(--notification-good-border-color);
  790. border-radius: 3px;
  791. box-shadow: 0 0 5px var(--box-shadow-color);
  792. text-align: center;
  793. font-weight: bold;
  794. vertical-align: middle;
  795. }
  796. .notification.good {
  797. background-color: var(--notification-good-background-color);
  798. color: var(--notification-good-font-color);
  799. border: 1px solid var(--notification-good-border-color);
  800. }
  801. .notification.bad {
  802. background-color: var(--notification-bad-background-color);
  803. color: var(--notification-bad-font-color);
  804. border: 1px solid var(--notification-bad-border-color);
  805. }
  806. .notification .close:hover {
  807. background-color: var(--notification-close-background-color-hover);
  808. }
  809. .notification .close .icon {
  810. filter: brightness(1.5);
  811. }
  812. .notification .close:hover .icon {
  813. filter: brightness(0.5);
  814. }
  815. .notification#actualizeProgress {
  816. line-height: 2em;
  817. }
  818. /*=== "Load more" part */
  819. #bigMarkAsRead.big {
  820. color: var(--font-color-grey);
  821. text-align: center;
  822. text-decoration: none;
  823. text-shadow: 0 -1px 0 var(--text-shadow-color);
  824. }
  825. #bigMarkAsRead:hover {
  826. background-color: var(--background-color-hover);
  827. color: var(--contrast-border-color-active);
  828. box-shadow: 0 -5px 10px var(--box-shadow-color-inset) inset;
  829. }
  830. #bigMarkAsRead:hover .bigTick {
  831. text-shadow: 0 0 5px var(--text-shadow-color);
  832. }
  833. /*=== Navigation menu (for articles) */
  834. #nav_entries {
  835. background-color: var(--background-color-light);
  836. border-top: 1px solid var(--border-color);
  837. }
  838. /*=== READER VIEW */
  839. /*================*/
  840. #stream.reader .flux {
  841. background-color: var(--background-color-grey);
  842. border: none;
  843. }
  844. #stream.reader .flux .flux_content {
  845. background-color: var(--background-color-light);
  846. border-color: var(--border-color);
  847. }
  848. #stream.reader .flux .author {
  849. color: var(--font-color-grey);
  850. }
  851. /*=== GLOBAL VIEW */
  852. /*================*/
  853. .box.category:not([data-unread="0"]) .box-title {
  854. background-color: var(--contrast-background-color);
  855. }
  856. .box.category .box-title .title {
  857. display: block;
  858. font-weight: normal;
  859. }
  860. .box.category:not([data-unread="0"]) .box-title .title {
  861. color: var(--font-color-light);
  862. font-weight: bold;
  863. }
  864. .box.category .title:not([data-unread="0"])::after {
  865. background: none;
  866. color: var(--font-color-light);
  867. border: 0;
  868. box-shadow: none;
  869. position: absolute;
  870. top: 5px; right: 10px;
  871. font-weight: bold;
  872. text-shadow: none;
  873. }
  874. /*=== DIVERS */
  875. /*===========*/
  876. .aside.aside_feed .nav-form input,
  877. .aside.aside_feed .nav-form select {
  878. width: 140px;
  879. }
  880. .aside.aside_feed .nav-form .dropdown .dropdown-menu {
  881. right: -20px;
  882. }
  883. .aside.aside_feed .nav-form .dropdown .dropdown-menu::after {
  884. right: 33px;
  885. }
  886. /*=== STATISTICS */
  887. /*===============*/
  888. .stat {
  889. margin: 10px 0 20px;
  890. }
  891. .stat th,
  892. .stat td,
  893. .stat tr {
  894. border: none;
  895. }
  896. .stat > table td,
  897. .stat > table th {
  898. border-bottom: 1px solid var(--border-color);
  899. }
  900. /*=== LOGS */
  901. /*=========*/
  902. .pagination .item.active {
  903. background-color: var(--contrast-background-color-active);
  904. color: white;
  905. }
  906. #loglist td {
  907. font-family: monospace;
  908. }
  909. /*=== MOBILE */
  910. /*===========*/
  911. @media (max-width: 840px) {
  912. .header > .item {
  913. padding: 0.5rem 1rem;
  914. }
  915. .header > .item.title {
  916. width: 75%;
  917. text-align: left;
  918. }
  919. .header > .item.configure {
  920. width: 25%;
  921. text-align: right;
  922. }
  923. .form-group .group-name {
  924. padding-bottom: 0;
  925. }
  926. .aside {
  927. transition: width 200ms linear;
  928. }
  929. .aside:target {
  930. box-shadow: 3px 0 3px var(--text-shadow-color);
  931. }
  932. .aside .toggle_aside,
  933. #overlay .close,
  934. .dropdown-menu .toggle_aside,
  935. #slider .toggle_aside {
  936. background-color: var(--background-color-light-shadowed);
  937. border-bottom: 1px solid var(--border-color);
  938. }
  939. .aside.aside_feed {
  940. padding: 0;
  941. }
  942. .post {
  943. padding-left: 1rem;
  944. padding-right: 1rem;
  945. }
  946. .nav_menu .btn {
  947. margin: 5px 10px;
  948. padding: 3px 5px;
  949. min-height: 0;
  950. }
  951. .nav_menu .stick,
  952. .nav_menu .group {
  953. margin: 0 10px;
  954. }
  955. .nav_menu .stick .btn,
  956. .nav_menu .group .btn {
  957. margin: 5px 0;
  958. }
  959. .dropdown-target:target ~ .dropdown-toggle::after {
  960. background-color: var(--background-color-light);
  961. border-top: 1px solid var(--border-color);
  962. border-left: 1px solid var(--border-color);
  963. }
  964. .dropdown-menu .dropdown-section:last-child {
  965. margin-bottom: 3rem;
  966. }
  967. .item.configure .dropdown .dropdown-menu {
  968. border-radius: 0;
  969. }
  970. #nav_menu_read_all .btn {
  971. border-left: 1px solid var(--border-color-shadow-side);
  972. border-radius: 3px;
  973. }
  974. #overlay {
  975. background-color: var(--background-color-light);
  976. }
  977. .form-group.form-actions {
  978. margin-left: -15px;
  979. margin-right: -15px;
  980. padding-left: 15px;
  981. padding-right: 15px;
  982. }
  983. .day .name {
  984. font-size: 1.1rem;
  985. text-shadow: none;
  986. }
  987. .notification .close {
  988. background-color: transparent;
  989. display: block;
  990. left: 0;
  991. }
  992. .notification .close:hover {
  993. opacity: 0.5;
  994. }
  995. .notification .close .icon {
  996. display: none;
  997. }
  998. }
  999. @media screen and (prefers-color-scheme: dark) {
  1000. :root.darkMode_auto {
  1001. --frss-background-color: #000;
  1002. --frss-background-color-middle: #222;
  1003. --frss-border-color: #444;
  1004. --frss-font-color-grey-dark: #999;
  1005. --frss-font-color-dark: #ddd;
  1006. --frss-modal-background-color-transparent: #000000a3;
  1007. --frss-background-color-transparent: #000000a3;
  1008. --frss-scrollbar-handle: #fff1;
  1009. --frss-scrollbar-handle-hover: #fff4;
  1010. --frss-font-color-grey-light: #555;
  1011. --background-color-light-gradient1: #1c1c1c;
  1012. --background-color-light-gradient2: #111;
  1013. --background-color-light: #111;
  1014. --background-color-light-shadowed: #191919;
  1015. --background-color-light-shadowed-transparent: #191919cf;
  1016. --background-color-grey: #1f1f1f;
  1017. --background-color-hover: #212227;
  1018. --unread-article-background-color: #1b1817;
  1019. --unread-article-background-color-hover: #292422;
  1020. --unread-article-border-color: #ff5300;
  1021. --favorite-article-background-color: #24221d;
  1022. --favorite-article-background-color-hover: #302d26;
  1023. --favorite-article-border-color: #ffc300;
  1024. --contrast-background-color: #0084cc;
  1025. --contrast-background-color-gradient: #0045cc;
  1026. --contrast-background-color-hover: #06c;
  1027. --contrast-background-color-active: #038;
  1028. --contrast-border-color: #0062b7;
  1029. --contrast-background-font-color: #eee;
  1030. --attention-background-color-gradient1: #ea4a46;
  1031. --attention-background-color-gradient2: #911811;
  1032. --attention-background-color-gradient1-hover: #d14641;
  1033. --attention-background-color-gradient2-hover: #bd362f;
  1034. --attention-background-color-active: #bd362f;
  1035. --attention-border-color: #c44742;
  1036. --empty-feed-color: #e67e22;
  1037. --error-feed-color: #bd362f;
  1038. --alert-warn-background-color: #ffffe022;
  1039. --alert-warn-font-color: #ccc;
  1040. --alert-warn-border-color: #eeb;
  1041. --alert-success-background-color: #e8ffe814;
  1042. --alert-success-font-color: #96c196;
  1043. --alert-success-border-color: #cec;
  1044. --alert-error-background-color: #fdda;
  1045. --alert-error-font-color: #512b2b;
  1046. --alert-error-boder-color: #ecc;
  1047. --notification-good-background-color: #ffe;
  1048. --notification-good-border-color: #eeb;
  1049. --notification-good-font-color: #916a37;
  1050. --notification-bad-background-color: #fdd;
  1051. --notification-bad-font-color: #643838;
  1052. --notification-bad-border-color: #ecc;
  1053. --notification-close-background-color-hover: #aaa2;
  1054. --font-color: #ccc;
  1055. --font-color-grey: #aaa;
  1056. --font-color-light-shadowed: #555;
  1057. --font-color-light: #ccc;
  1058. --text-shadow-color: #1c1c1c;
  1059. --text-shadow-color-dark: #666;
  1060. --box-shadow-color: #0009;
  1061. --box-shadow-color-inset: #1f1f1f;
  1062. --font-color-link: #467eb3;
  1063. --font-color-link-hover: #0062be;
  1064. --border-color: #222;
  1065. --border-color-shadow-side: #333;
  1066. --contrast-border-color-active: #0062be;
  1067. --form-element-font-color-focus: #b8d0e7;
  1068. --form-element-border-color-focus: #0062be;
  1069. --form-element-focus-box-shadow-color-inset: #110;
  1070. --form-element-border-color-invalid: #f00;
  1071. --form-element-invalid-box-shadow-color-inset: none;
  1072. }
  1073. :root.darkMode_auto .nav_menu .btn {
  1074. color: #777;
  1075. }
  1076. :root.darkMode_auto .nav_menu .btn:hover {
  1077. color: var(--font-color-grey);
  1078. }
  1079. :root.darkMode_auto .nav_menu .btn.active,
  1080. :root.darkMode_auto .nav_menu .btn:active,
  1081. :root.darkMode_auto .nav_menu .dropdown-target:target ~ .btn.dropdown-toggle {
  1082. background: #292929;
  1083. }
  1084. :root.darkMode_auto .dropdown-menu {
  1085. background-color: #0a0a0a;
  1086. }
  1087. :root.darkMode_auto .nav_menu {
  1088. background-color: #141414;
  1089. }
  1090. :root.darkMode_auto .header {
  1091. background-color: var(--background-color-light-shadowed);
  1092. }
  1093. :root.darkMode_auto .btn.active .icon,
  1094. :root.darkMode_auto .btn:active .icon {
  1095. filter: brightness(1.4);
  1096. }
  1097. :root.darkMode_auto .spinner {
  1098. filter: invert(1) brightness(2);
  1099. }
  1100. }